# getStakeMinimumDelegation

Returns the stake minimum delegation in lamports.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `object` *optional.* Configuration object containing the following fields:
  * `commitment` string. The level of commitment required for the query. The options include:
    * `finalized` string. The node will query the most recent block confirmed by the supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized.
    * `confirmed` string. The node will query the most recent block that has been voted on by the supermajority of the cluster.
    * `processed` string. The node will query its most recent block. Note that the block may not be complete.
    * `recent` string. The node will query the minimum delegation commitment status for recent transactions.
    * `single` string. The node will query the minimum delegation commitment status for a single transaction.
    * `singleGossip` string. The node will query the minimum delegation commitment status for a single transaction via gossip.
    * `root` string. The node will query the minimum delegation commitment status at the root.
    * `max` string. The node will query the maximum commitment status for minimum delegation.

## Returns

`value` The stake minimum delegation in lamports.

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": {
		"context": {
			"apiVersion": "2.1.11",
			"slot": 320164068
		},
		"value": 1
	},
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0","id":1,"method":"getStakeMinimumDelegation","params":[]}'
    
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://mainnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0","id":1,"method":"getStakeMinimumDelegation","params":[]}'

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/solana/http-methods/getstakeminimumdelegation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
